curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"country":"US","lat":40.7484,"long":-73.9857,"zoom_level":14,"keyword":"coffee shop"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=location"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "location",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"country": "US",
"lat": 40.7484,
"long": -73.9857,
"zoom_level": 14,
"keyword": "coffee shop",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "location",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
country: "US",
lat: 40.7484,
long: -73.9857,
zoom_level: 14,
keyword: "coffee shop",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJExample123",
"name": "Blue Bottle Coffee",
"address": "54 W 40th St., New York, NY 10018",
"rating": 4.4,
"reviews_count": 520,
"category": "Coffee shop",
"latitude": 40.7525,
"longitude": -73.984
}
]
Google
Discover Google Maps Places by Location
Use the Bright Data Scraper API to discover Google Maps places by geographic location. POST /datasets/v3/scrape returns place records as JSON.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"country":"US","lat":40.7484,"long":-73.9857,"zoom_level":14,"keyword":"coffee shop"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=location"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "location",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"country": "US",
"lat": 40.7484,
"long": -73.9857,
"zoom_level": 14,
"keyword": "coffee shop",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "location",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
country: "US",
lat: 40.7484,
long: -73.9857,
zoom_level: 14,
keyword: "coffee shop",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJExample123",
"name": "Blue Bottle Coffee",
"address": "54 W 40th St., New York, NY 10018",
"rating": 4.4,
"reviews_count": 520,
"category": "Coffee shop",
"latitude": 40.7525,
"longitude": -73.984
}
]
Query Parameters
string
default:"gd_m8ebnr0q2qlklc02fz"
required
The dataset ID used for this request.
Must be set to
gd_m8ebnr0q2qlklc02fz to discover Google Maps places by location.string
default:"discover_new"
required
Must be set to
discover_new.string
default:"location"
required
Must be set to
location.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{"country": "US", "lat": 40.7484, "long": -73.9857, "zoom_level": 14, "keyword": "coffee shop"}
]
}
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"country":"US","lat":40.7484,"long":-73.9857,"zoom_level":14,"keyword":"coffee shop"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=location"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "location",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"country": "US",
"lat": 40.7484,
"long": -73.9857,
"zoom_level": 14,
"keyword": "coffee shop",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "location",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
country: "US",
lat: 40.7484,
long: -73.9857,
zoom_level: 14,
keyword: "coffee shop",
},
],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJExample123",
"name": "Blue Bottle Coffee",
"address": "54 W 40th St., New York, NY 10018",
"rating": 4.4,
"reviews_count": 520,
"category": "Coffee shop",
"latitude": 40.7525,
"longitude": -73.984
}
]
Was this page helpful?